## gate.util
Class JarFiles

    java.lang.Object
      |
      +--gate.util.JarFiles

public class JarFiles
extends Object

This class is used to merge a set of Jar/Zip Files in a Jar File It is ignored the manifest.

Constructor Summary
`JarFiles()`

Method Summary
`static void` `main(String[] args)` args[0] is the final jar file and the other are the set of jar file names e.g.
`void` `merge(Set jarFileNames, String destinationJarName)` This method takes the content of all jar/zip files from the set jarFileNames and put them in a file with the name outputFileName.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarFiles

    public JarFiles()

Method Detail

### merge

    public void merge(Set jarFileNames,
                      String destinationJarName)
               throws GateException

  This method takes the content of all jar/zip files from the set jarFileNames and put them in a file with the name outputFileName. If the jar entry is manifest then this information isn't added.
  Parameters:
    `jarFileNames` - is a set of names of files (jar/zip)
    `outputFileName` - is the name of the file which contains all the classes of jarFilesNames

### main

    public static void main(String[] args)

  args[0] is the final jar file and the other are the set of jar file names e.g. java gate.util.JarFiles libs.jar ../lib/*.jar ../lib/*.zip will create a file calls libs.jar which will contain all jar files and zip files